.p-datatable .p-datatable-header {
    background: var(--p-datatable-background-color) !important;
    color: var(--p-datatable-header-text-color) !important;
    border: 1px solid var(--p-datatable-border) !important;
    border-width: 1px 0 1px 0 !important;
    padding: 1rem 1rem !important;
    font-weight: 700 !important;
}

.p-datatable .p-datatable-thead>tr>th {
    text-align: left !important;
    padding: 1rem 1rem !important;
    border: 1px solid var(--p-datatable-border) !important;
    border-width: 0 0 1px 0 !important;
    font-weight: 700 !important;
    color: var(--p-datatable-header-text-color) !important;
    background: var(--p-datatable-background-color) !important;
    transition: box-shadow 0.2s !important;
}

.p-datatable .p-datatable-tbody > tr > td {
    text-align: left !important;
    border: 1px solid var(--p-datatable-border) !important;
    padding: 1rem 1rem !important;
}

.p-datatable.p-datatable-striped .p-datatable-tbody > tr:nth-child(even) {
    background: var(--p-datatable-tr-even) !important;
    color: var(--primary-text-color) !important;
}

.p-datatable .p-datatable-tbody > tr {
    color: var(--primary-text-color) !important;
    background: var(--p-datatable-tr) !important;
    transition: background-color 0.2s, box-shadow 0.2s;
}
.p-dropdown {
    background: var(--surface-card);
    border: 1px solid var(--surface-border);
}
.p-dropdown:not(.p-disabled):hover {
    border-color: var(--gray-700);
}
.p-dropdown .p-dropdown-label {
    background: transparent;
    border: 0 none;
    color: var(--primary-text-color);
}
.p-dropdown .p-dropdown-label.p-placeholder {
    color: var(--gray-400);
}
.p-dropdown .p-dropdown-trigger {
    background: transparent;
    color: var(--gray-500);
}
.p-dropdown .p-dropdown-clear-icon {
    color: var(--gray-500);
}
.p-dropdown.p-invalid.p-component {
    border-color: var(--primary-dark-color);
}
.p-dropdown.p-variant-filled {
    background-color: var(--surface-ground);
}
.p-dropdown.p-variant-filled:enabled:hover {
    background-color: var(--surface-50);
}
.p-dropdown.p-variant-filled:enabled:focus {
    background-color: var(--surface-50);
}

.p-dropdown-panel {
    background: var(--surface-card);
    color: var(--primary-text-color);
}
.p-dropdown-panel .p-dropdown-header {
    color: var(--primary-text-color);
    background: var(--surface-card);
}
.p-dropdown-panel .p-dropdown-header .p-dropdown-filter-icon {
    color: var(--gray-500);
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-item {
    color: var(--primary-text-color);
    background: transparent;
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-item.p-highlight {
    color: var(--primary-color-text);
    background: var(--primary-color);
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-item.p-highlight.p-focus {
    background: var(--primary-dark-color);
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-item:not(.p-highlight):not(.p-disabled).p-focus {
    color: var(--primary-text-color);
    background: var(--surface-100);
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-item:not(.p-highlight):not(.p-disabled):hover {
    color: var(--primary-text-color);
    background: var(--surface-200);
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-item-group {
    color: var(--primary-text-color);
    background: var(--surface-300);
}
.p-dropdown-panel .p-dropdown-items .p-dropdown-empty-message {
    color: var(--primary-text-color);
    background: transparent;
}








